<?php
 /**
 * Fonctions de gestion de niveaux de classe
 * @package Garennes
 * @author Jean-Francois Campan <jean-francois.campan@ac-poitiers.fr>
 * @version 0.1
 */

 /**
 * Ajout d'un  niveau classe
 * @param string $nom Nom du niveau
 * @param string $apb_nom Nom pour le module Admission Post Bac
 * @param int $actif 0=Non Actif, 1=Actif
 * @return int 0=Non Ok, 1=Ok
 */
 Function garennes_ajouter_niveau_classe ($nom, $apb_nom, $actif)
  {
   Global $id_sql ;
   $ok = SQL_commande ("INSERT INTO types_niveaux (nom,apb_nom,actif) VALUES ('".Str_Replace ("'", "\'", $nom)."','".Str_Replace ("'", "\'", $apb_nom)."','".$actif."')", $id_sql) ;
   Return 1 ;
  }
 
 /**
 * Efface un niveau classe
 * @param int $id_type_niveau Identifiant du niveau a effacer
 * @return int 0=Non Ok, 1=Ok
 */
 Function garennes_effacer_niveau_classe ($id_type_niveau)
  {
   Global $id_sql ;
   $ok = SQL_commande ("DELETE FROM types_niveaux WHERE id_type_niveau='".$id_type_niveau."'", $id_sql) ;
   Return 1 ;
  }

 /**
 * Debut de modification d'un niveau classe
 * @param int $id_type_niveau Identifiant du niveau a effacer
 * @return array ["id_type_niveau"]=Identifiant,["nom"]=Nom,["apb_nom"]=Nom APB,["actif"]=(0|1)
 */
 Function garennes_debut_modification_niveau_classe ($id_type_niveau)
  {
   Global $id_sql ;
   $resultat = SQL_commande ("SELECT id_type_niveau,nom,apb_nom,actif FROM types_niveaux WHERE id_type_niveau='".$id_type_niveau."' LIMIT 1", $id_sql) ;
   $modif = SQL_tableau_associatif ($resultat, "") ;
   Return $modif ;
  }
 
 /**
 * Fin des modifications d'un  niveau classe
 * @param int $id_type_niveau Identifiant du niveau a modifier
 * @param string $nom Nouveau neau
 * @param string $apb_nom Nouveau nom de module Admission Post Bac
 * @param int $actif 0=Non Actif, 1=Actif
 * @return int 0=Non Ok, 1=Ok
 */
 Function garennes_fin_modification_niveau_classe ($id_type_niveau, $nom, $apb_nom, $actif)
  {
   Global $id_sql ;
   $ok = SQL_commande ("UPDATE types_niveaux SET nom='".Str_Replace ("'", "`", $nom)."',apb_nom='".Str_Replace ("'", "\'", $apb_nom)."',actif='".$actif."' WHERE id_type_niveau='".$id_type_niveau."'", $id_sql) ;
   Return 1 ;
  }
 
 /**
 * Changement d'etat d'un niveau classe : Passe de 0 a 1 et vice-versa
 * @param int $id_type_niveau Identifiant du niveau a effacer
 * @return int 0=Non Ok, 1=Ok
 */
 Function garennes_modification_etat_niveau_classe ($id_type_niveau)
  {
   Global $id_sql ;
   $resultat = SQL_commande ("SELECT actif FROM types_niveaux WHERE id_type_niveau='".$id_type_niveau."' LIMIT 1", $id_sql) ;
   $modif = SQL_tableau_associatif ($resultat, "") ;
   If ($modif ["actif"] == 1) { $actif = 0 ; } Else { $actif = 1 ; }
   $ok = SQL_commande ("UPDATE types_niveaux SET actif='".$actif."' WHERE id_type_niveau='".$id_type_niveau."'", $id_sql) ;
   Return 1 ;
  }
?>