#
# Mise a jour 0.6.13-5 -> 0.6.13-6
#
# Structure de la table `mefs`
CREATE TABLE `mefs` (
  `id_mef` int(11) NOT NULL auto_increment,
  `id_etablissement` int(11) NOT NULL,
  `code` varchar(11) NOT NULL,
  `formation` varchar(6) NOT NULL,
  `specialite` varchar(5) NOT NULL,
  `libelle_long` varchar(40) NOT NULL,
  `libelle_edition` varchar(60) NOT NULL,
  `mefstat11` varchar(11) NOT NULL,
  `mefstat4` varchar(4) NOT NULL,
  PRIMARY KEY  (`id_mef`)
);
# Structure de la table `mefstats4`
CREATE TABLE `mefstats4` (
  `id_mefstats4` int(11) NOT NULL auto_increment,
  `code` varchar(4) NOT NULL,
  `libelle_court` varchar(20) NOT NULL,
  `libelle_long` varchar(40) NOT NULL,
  PRIMARY KEY  (`id_mefstats4`)
);
ALTER TABLE `classes` ADD `id_type_niveau` INT(11) NOT NULL AFTER `type_saisie_cpe` ;
ALTER TABLE `eleves` ADD `mef` VARCHAR(11) NOT NULL AFTER `code_classe` ;
CREATE TABLE `types_modalites` (
`id_type_modalite` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`code` VARCHAR(1) NOT NULL ,
`libelle_long` VARCHAR(40) NOT NULL ,
`libelle_court` VARCHAR(10) NOT NULL
) ;
CREATE TABLE `modalites` (
`id_modalite` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`code_mef` VARCHAR(11) NOT NULL,
`code_matiere` VARCHAR(6) NOT NULL,
`code_gestion` VARCHAR(5) NOT NULL,
`libelle_long` VARCHAR(40) NOT NULL,
`libelle_court` VARCHAR(20) NOT NULL,
`libelle_edition` VARCHAR(60) NOT NULL,
`modalite` VARCHAR(1) NOT NULL ,
`horaire` VARCHAR(10) NOT NULL
) ;
# Base de gestion 'apb' version 1
CREATE TABLE `apb_annee_scolaire` (
  `id_apb_annee_scolaire` int(11) NOT NULL auto_increment,
  `id_apb_eleve` int(11) NOT NULL,
  `annee` int(11) NOT NULL,
  `id_apb_classe` int(11) NOT NULL,
  `code_mef` varchar(11) NOT NULL,
  `libelle_mef` varchar(60) NOT NULL,
  PRIMARY KEY  (`id_apb_annee_scolaire`)
) ;
CREATE TABLE `apb_classes` (
  `id_apb_classe` int(11) NOT NULL auto_increment,
  `id_apb_etablissement` int(11) NOT NULL,
  `code` varchar(30) NOT NULL,
  `nom` varchar(20) NOT NULL,
  `niveau` varchar(50) NOT NULL,
  `professeur_principal` varchar(30) NOT NULL,
  `decoupage` int(11) NOT NULL,
  `annee` int(11) NOT NULL,
  `id_structure_sconet` varchar(8) NOT NULL,
  PRIMARY KEY  (`id_apb_classe`)
);
CREATE TABLE `apb_eleves` (
  `id_apb_eleve` int(11) NOT NULL auto_increment,
  `code` varchar(30) NOT NULL,
  `ine` varchar(11) NOT NULL,
  `nom` varchar(30) NOT NULL,
  `prenom` varchar(30) NOT NULL,
  `date_naissance` date NOT NULL,
  PRIMARY KEY  (`id_apb_eleve`)
);
CREATE TABLE `apb_enseignants` (
  `id_apb_enseignant` int(11) NOT NULL auto_increment,
  `code` varchar(30) NOT NULL,
  `nom` varchar(30) NOT NULL,
  `prenom` varchar(30) NOT NULL,
  `millesime` int(11) NOT NULL,
  PRIMARY KEY  (`id_apb_enseignant`)
);
CREATE TABLE `apb_etablissements` (
  `id_apb_etablissement` int(11) NOT NULL auto_increment,
  `rne` varchar(8) NOT NULL,
  `nom` varchar(100) NOT NULL,
  `cp` varchar(5) NOT NULL,
  PRIMARY KEY  (`id_apb_etablissement`)
);
CREATE TABLE `apb_matieres` (
  `id_apb_matiere` int(11) NOT NULL auto_increment,
  `code` varchar(30) NOT NULL,
  `libelle_sconet` varchar(5) NOT NULL,
  `code_sconet` varchar(10) NOT NULL,
  `libelle` varchar(50) NOT NULL,
  `matiere_specialite` varchar(5) NOT NULL,
  `millesime` mediumint(11) NOT NULL,
  PRIMARY KEY  (`id_apb_matiere`)
);
CREATE TABLE `apb_notes` (
  `id_apb_note` int(11) NOT NULL auto_increment,
  `id_apb_annee_scolaire` int(11) NOT NULL,
  `trimestre` int(11) NOT NULL,
  `id_apb_service_notation` int(11) NOT NULL,
  `etat` varchar(1) NOT NULL,
  `modalite_election` varchar(3) NOT NULL,
  `moyenne` tinytext NOT NULL,
  `rang` int(11) NOT NULL,
  `appreciation` text NOT NULL,
  `coefficient` float(10,2) NOT NULL,
  PRIMARY KEY  (`id_apb_note`)
);
CREATE TABLE `apb_service_notation` (
  `id_apb_service_notation` int(11) NOT NULL auto_increment,
  `code` varchar(30) NOT NULL,
  `annee` int(11) NOT NULL,
  `trimestre` int(11) NOT NULL,
  `code_enseignant` varchar(30) NOT NULL,
  `code_matiere` varchar(30) NOT NULL,
  `nom_groupe` varchar(20) NOT NULL,
  `id_structure_sconet` varchar(8) NOT NULL,
  `moyenne_classe` tinytext NOT NULL,
  `moyenne_haute` tinytext NOT NULL,
  `moyenne_basse` tinytext NOT NULL,
  `effectif` int(11) NOT NULL,
  PRIMARY KEY  (`id_apb_service_notation`)
);
CREATE TABLE `types_niveaux` (
  `id_type_niveau` int(11) NOT NULL auto_increment,
  `nom` varchar(50) NOT NULL,
  `apb_nom` varchar(50) NOT NULL,
  `actif` int(4) NOT NULL,
  PRIMARY KEY  (`id_type_niveau`)
) ;
INSERT INTO `types_niveaux` (`id_type_niveau`, `nom`, `apb_nom`, `actif`) VALUES 
(1, 'Sixi&egrave;me', '', 1),
(2, 'Cinqui&egrave;me', '', 1),
(3, 'Quatri&egrave;me', '', 1),
(4, 'Troisi&egrave;me', '', 1),
(5, 'Secondes', '', 1),
(6, 'Premi&egrave;res', 'premiere', 1),
(7, 'Terminales', 'terminale', 1),
(8, 'BTS premi&egrave;re ann&eacute;e', '', 1),
(9, 'BTS deuxi&egrave;me ann&eacute;e', '', 1);
ALTER TABLE `sous_disciplines` ADD `type` MEDIUMINT(11) NOT NULL ;
DROP TABLE IF EXISTS `types_disciplines`;
CREATE TABLE `types_disciplines` (
`id_type_discipline` int(11) unsigned NOT NULL auto_increment,
`nom` varchar(60) NOT NULL default '',
`code` varchar(200) NOT NULL,
PRIMARY KEY  (`id_type_discipline`)
);
INSERT INTO `types_disciplines` (`id_type_discipline`, `nom`, `code`) VALUES 
(1, 'ADMINISTRATION', ''),
(2, 'ALLEMAND', 'LV|0301'),
(3, 'ANGLAIS', 'LV|0302|0303|030C'),
(7, 'BASQUE', 'LV|'),
(9, 'BIOLOGIE-GEOLOGIE', ''),
(10, 'BIOTECHNOLOGIE', ''),
(14, 'COMPTABILITE', '|33'),
(17, 'E.M.T.', ''),
(18, 'ECONOMIE ET GESTION', '|38'),
(19, 'EDUCATION', '|27|0429|0904'),
(21, 'ESPAGNOL', 'LV|0306'),
(22, 'FORMATEUR', ''),
(25, 'GREC', 'LV|'),
(26, 'HISTOIRE-GEOGRAPHIE', '|0406|0407'),
(27, 'INFORMATION ET ORIENTATION', ''),
(30, 'LANGUES', 'LV|'),
(31, 'LETTRES', ''),
(32, 'LETTRES CLASSIQUES', ''),
(33, 'LETTRES MODERNES', ''),
(34, 'LETTRES+', ''),
(35, 'LETTRES+LANGUE', ''),
(37, 'MATHS+', ''),
(38, 'MI-SE', ''),
(45, 'PORTUGAIS', 'LV|0311'),
(46, 'PREMIER DEGRE', ''),
(47, 'PROFESSIONNEL', ''),
(48, 'RUSSE', 'LV|'),
(53, 'STI', ''),
(54, 'SVT', ''),
(55, 'TECHNOLOGIE', ''),
(57, 'VENTE', ''),
(61, 'ARABE', 'LV|'),
(62, 'ARTS', '|27|0901'),
(63, 'ASSISTANT', ''),
(65, 'BIOCHIMIE', ''),
(68, 'BRAILLE', ''),
(69, 'CATALAN', 'LV|'),
(70, 'CHIMIE', ''),
(72, 'DIVERS', ''),
(73, 'DOCUMENTATION', ''),
(77, 'EPS', '|10'),
(80, 'GENIE', ''),
(81, 'GRAMMAIRE', ''),
(85, 'INSTITUTEUR SPECIALISE', ''),
(86, 'ITALIEN', 'LV|0309'),
(93, 'MATHEMATIQUES', '|0613|0615|0640'),
(96, 'MUSIQUE', ''),
(97, 'OCCITAN', 'LV|'),
(98, 'ORIENTATION', ''),
(99, 'PEGC  SECTION 13', ''),
(100, 'PHILOSOPHIE', '|0103'),
(101, 'PHYSIQUE-CHIMIE', '|0623'),
(106, 'SCIENCES', ''),
(107, 'SCIENCES ET TECHNIQUES', ''),
(108, 'SECRETARIAT', ''),
(109, 'SES', ''),
(113, 'TERTIAIRE', '');
#
#(c)JFC Campan J.F. 2003-2010 - atables
#